<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");
include("../sistem/functions_txt.dat");
include("../temes/$teme/verh.dat");

if($status=="uzer" || $status=="moder" || $status=="admin")
{
   echo'<div class="razd"><B>Форум</B></div>';
   
   
   if(isset($_POST['t'])){$t = $_POST['t'];}
   if(isset($_GET['t'])){$t = $_GET['t'];}
   $t=htmlspecialchars($t);
   
   if (eregi("[^0-9]" , $t )){ echo'запрещённые символы<br>'; }else
   {
      if(file_exists("../data/forum/$t.tem") && file_exists("../data/forum/$t.topik"))//проверили существование раздела или темы
      {
         echo'<B>Новое сообщение</B><br>';
         $cfg_tem = file_get_contents("../data/forum/$t.tem");
         $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
         echo'Тема - "'.$cfg_tem[2].'"<br>';
         if($cfg_tem[0] == "activ" || $cfg_tem[0] == "zacrep")
         {
            if(isset($_GET['if_uzer'])){$if_uzer = $_GET['if_uzer'];}
            $if_uzer=htmlspecialchars($if_uzer);
            if(isset($_GET['fid'])){$fid = $_GET['fid'];}
            $fid=htmlspecialchars($fid);
            
            if(empty($act)){$act="otvet";}
            if($act == "otvet")
            {
               echo'<form name="forma" action="new_topik.php?'.SID.'" method="post">';
               echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
               echo'Текст сообщения<br>';
               echo'<TEXTAREA NAME="txtsob" ROWS=3 COLS=20>[red][b]'.$if_uzer.'[/b][/red], </TEXTAREA><br>';
               echo'<input type="submit" name="" value="Сказать"><br></form>';
            }elseif($act == "quote")
            {
               if(eregi("[^0-9]" , $fid ))
               {
                  echo'запрещённые символы<br>';
               }else
               {
                  //получаем параметры
                  $str = file("../data/forum/$t.topik");
                  $nom = count($str);
                  $ar = explode("<||>",$str[$fid]);
                  
                  $ar[2] = preg_replace('#<div class="ramk">(.*?)</div>#si', '', $ar[2]);
                  $ar[2] = off_smiles($ar[2]);
                  $ar[2] = str_replace("<br>","\n",$ar[2]);
                  //закончили системное генерирование
                  echo'<B>Текст сообщения</B>';
                  echo'<form name="forma" action="new_topik.php?'.SID.'" method="post">';
                  echo'<INPUT TYPE="hidden" NAME="t" VALUE="'.$t.'">';
                  echo'<br>';
                  echo'<TEXTAREA NAME="txtsob" ROWS=3 COLS=20>[q][b]'.$if_uzer.' говорит:[/b][i]'.$ar[2].'[/i][/q]</TEXTAREA><br>';
                  echo'<input type="submit" name="" value="Сказать"><br></form>';
               }
            }
         }else{ echo'<B>Тема закрыта</B><br>'; }
         echo'<hr size="2" width="100%">';
         echo'<a href="topik.php?t='.$t.'">К теме</a><br>';
         echo'<a href="search.php?param_member=new&amp;'.SID.'">Популярные темы</a>|<a href="temes.php?r='.$cfg_tem[1].'&amp;'.SID.'">К темам</a>|<a href="index.php?'.SID.'">Форум</a>|';
      }else{ echo'Темы или раздела не существует<br>'; }
   }
}

if($status=="gost")
{
   echo'<div class="razd"><B>Форум</B></div>';
   echo'Для полноценного использования сайта небходимо зарегистрироваться или авторизироваться! <a href="../index.php?'.SID.'">На главную</a> ';
}

if($status=="ban")
{
   echo'Вам сюда нельзя<br>';
}

include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>